Package com.google.protobuf

# Interface DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.DescriptorProto.ExtensionRange`, `DescriptorProtos.DescriptorProto.ExtensionRange.Builder`

Enclosing class:
  DescriptorProtos.DescriptorProto

public static interface DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getEnd()`
`optional int32 end = 2 [json_name = "end"];`
`DescriptorProtos.ExtensionRangeOptions`
`getOptions()`
`optional .google.protobuf.ExtensionRangeOptions options = 3 [json_name = "options"];`
`DescriptorProtos.ExtensionRangeOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.ExtensionRangeOptions options = 3 [json_name = "options"];`
`int`
`getStart()`
`optional int32 start = 1 [json_name = "start"];`
`boolean`
`hasEnd()`
`optional int32 end = 2 [json_name = "end"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.ExtensionRangeOptions options = 3 [json_name = "options"];`
`boolean`
`hasStart()`
`optional int32 start = 1 [json_name = "start"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasStart

boolean hasStart()
`optional int32 start = 1 [json_name = "start"];`

Returns:
  Whether the start field is set.

### getStart

int getStart()
`optional int32 start = 1 [json_name = "start"];`

Returns:
  The start.

### hasEnd

boolean hasEnd()
`optional int32 end = 2 [json_name = "end"];`

Returns:
  Whether the end field is set.

### getEnd

int getEnd()
`optional int32 end = 2 [json_name = "end"];`

Returns:
  The end.

### hasOptions

boolean hasOptions()
`optional .google.protobuf.ExtensionRangeOptions options = 3 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.ExtensionRangeOptions getOptions()
`optional .google.protobuf.ExtensionRangeOptions options = 3 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.ExtensionRangeOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.ExtensionRangeOptions options = 3 [json_name = "options"];`